i2o_msg_get_wait
Prev | I2O message devices | Next

## Name

i2o_msg_get_wait — obtain an I2O message from the IOP

## Synopsis

`struct i2o_message * i2o_msg_get_wait (` | struct i2o_controller * | c,
| int | wait`)`;

## Arguments

`c`

  I2O controller

`wait`

  how long to wait until timeout

## Description

This function waits up to wait seconds for a message slot to be available.

On a success the message is returned and the pointer to the message is set in msg. The returned message is the physical page frame offset address from the read port (see the i2o spec). If no message is available returns I2O_QUEUE_EMPTY and msg is leaved untouched.

Prev | Up | Next
i2o_iop_free | Home | i2o_cntxt_list_add